Method: projects.locations.validations.validationResources.list

Lists all cloud resources identified as potentially affected within a specific Validation dry run.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*/validations/*}/validationResources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The Validation dry run from which to list validation resources. Format: projects/{projectId}/locations/{location}/validations/{validationId}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of validation resources to return. Fault Injection Testing may return fewer. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous validationResources.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to validationResources.list must match the call that provided the page token.

filter

string

Optional. A filter expression to restrict the validation resources returned. Follows https://google.aip.dev/160 and supports all fields.

Request body

The request body must be empty.

Response body

Response message for FaultTesting.ListValidationResources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "validationResources": [
    {
      object (ValidationResource)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
validationResources[]

object (ValidationResource)

The validation resources from the specified Validation, ordered from newest to oldest based on creation time.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.validationResources.list

For more information, see the IAM documentation.